Index: data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel
===================================================================
--- data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel	(revision 6570)
+++ data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel	(revision 6573)
@@ -1758,16 +1758,16 @@
     <!--
     ***************************************************
-        TaharezLook/Listbox
+        TaharezGreenLook/Listbox
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/Listbox">
+    <WidgetLook name="TaharezGreenLook/Listbox">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1776,5 +1776,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1784,10 +1784,10 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1804,6 +1804,6 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
@@ -1816,5 +1816,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1824,6 +1824,6 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
@@ -1842,5 +1842,5 @@
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
+        <Child  type="TaharezGreenLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -1851,5 +1851,5 @@
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
+        <Child  type="TaharezGreenLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -1868,13 +1868,13 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="ListboxTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="ListboxTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="ListboxBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="ListboxBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="ListboxLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="ListboxRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="ListboxTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="ListboxBottom" />
-                <Image type="Background" imageset="TaharezLook" image="ListboxBackdrop" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="ListboxTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="ListboxTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="ListboxBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="ListboxBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="ListboxLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="ListboxRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="ListboxTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="ListboxBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="ListboxBackdrop" />
             </FrameComponent>
         </ImagerySection>
@@ -1895,16 +1895,16 @@
     <!--
     ***************************************************
-        TaharezLook/ComboDropList
+        TaharezGreenLook/ComboDropList
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/ComboDropList">
+    <WidgetLook name="TaharezGreenLook/ComboDropList">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ComboboxListRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1913,5 +1913,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ComboboxListBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1921,10 +1921,10 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ComboboxListRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1941,6 +1941,6 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
@@ -1953,5 +1953,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ComboboxListBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ComboboxListBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
@@ -1961,6 +1961,6 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ComboboxListTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ComboboxListTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
@@ -1979,5 +1979,5 @@
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
+        <Child  type="TaharezGreenLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -1988,5 +1988,5 @@
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
+        <Child  type="TaharezGreenLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -2005,13 +2005,13 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="ComboboxListTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="ComboboxListTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="ComboboxListBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="ComboboxListBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="ComboboxListLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="ComboboxListRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="ComboboxListTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="ComboboxListBottom" />
-                <Image type="Background" imageset="TaharezLook" image="ComboboxListBackdrop" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="ComboboxListTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="ComboboxListTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="ComboboxListBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="ComboboxListBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="ComboboxListLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="ComboboxListRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="ComboboxListTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="ComboboxListBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="ComboboxListBackdrop" />
             </FrameComponent>
         </ImagerySection>
@@ -2032,13 +2032,13 @@
     <!--
     ***************************************************
-        TaharezLook/ComboEditbox
+        TaharezGreenLook/ComboEditbox
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/ComboEditbox">
+    <WidgetLook name="TaharezGreenLook/ComboEditbox">
         <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
         <PropertyDefinition name="SelectedTextColour" initialValue="FF000000" redrawOnWrite="true" />
         <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
         <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
-        <Property name="MouseCursorImage" value="set:TaharezLook image:MouseTextBar" />
+        <Property name="MouseCursorImage" value="set:TaharezGreenLook image:MouseTextBar" />
         <NamedArea name="TextArea">
             <Area>
@@ -2057,6 +2057,6 @@
                     <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
                 </Area>
-                <Image type="LeftEdge" imageset="TaharezLook" image="ComboboxEditLeft" />
-                <Image type="Background" imageset="TaharezLook" image="ComboboxEditMiddle" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="ComboboxEditLeft" />
+                <Image type="Background" imageset="TaharezGreenLook" image="ComboboxEditMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -2069,5 +2069,5 @@
                     <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="TextSelectionBrush" />
+                <Image imageset="TaharezGreenLook" image="TextSelectionBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2079,8 +2079,8 @@
                     <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
                     <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="TaharezLook" image="EditBoxCarat" dimension="Width" /></Dim>
+                    <Dim type="Width" ><ImageDim imageset="TaharezGreenLook" image="EditBoxCarat" dimension="Width" /></Dim>
                     <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="EditBoxCarat" />
+                <Image imageset="TaharezGreenLook" image="EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2122,13 +2122,13 @@
     <!--
     ***************************************************
-        TaharezLook/Combobox
+        TaharezGreenLook/Combobox
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/Combobox">
+    <WidgetLook name="TaharezGreenLook/Combobox">
         <PropertyLinkDefinition name="NormalEditTextColour" widget="__auto_editbox__" targetProperty="NormalTextColour" initialValue="FFFFFFFF" />
         <PropertyLinkDefinition name="SelectedEditTextColour" widget="__auto_editbox__" targetProperty="SelectedTextColour" initialValue="FF000000" />
         <PropertyLinkDefinition name="ActiveEditSelectionColour" widget="__auto_editbox__" targetProperty="ActiveSelectionColour" initialValue="FF6060FF" />
         <PropertyLinkDefinition name="InactiveEditSelectionColour" widget="__auto_editbox__" targetProperty="InactiveSelectionColour" initialValue="FF808080" />
-        <Child  type="TaharezLook/ComboEditbox" nameSuffix="__auto_editbox__">
+        <Child  type="TaharezGreenLook/ComboEditbox" nameSuffix="__auto_editbox__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -2154,5 +2154,5 @@
             </Area>
         </Child>
-        <Child  type="TaharezLook/ComboDropList" nameSuffix="__auto_droplist__">
+        <Child  type="TaharezGreenLook/ComboDropList" nameSuffix="__auto_droplist__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -2162,5 +2162,5 @@
             </Area>
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_button__">
+        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_button__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -2170,7 +2170,7 @@
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:ComboboxListButtonNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:ComboboxListButtonHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:ComboboxListButtonNormal" />
+            <Property name="NormalImage" value="set:TaharezGreenLook image:ComboboxListButtonNormal" />
+            <Property name="HoverImage" value="set:TaharezGreenLook image:ComboboxListButtonHover" />
+            <Property name="PushedImage" value="set:TaharezGreenLook image:ComboboxListButtonNormal" />
         </Child>
         <StateImagery name="Enabled" />
@@ -2180,9 +2180,9 @@
     <!--
     ***************************************************
-        TaharezLook/Spinner
+        TaharezGreenLook/Spinner
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/Spinner">
-        <Child  type="TaharezLook/Editbox" nameSuffix="__auto_editbox__">
+    <WidgetLook name="TaharezGreenLook/Spinner">
+        <Child  type="TaharezGreenLook/Editbox" nameSuffix="__auto_editbox__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -2191,5 +2191,5 @@
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -2198,27 +2198,27 @@
             </Area>
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_incbtn__">
+        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_incbtn__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
                 <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Width" /></Dim>
+                <Dim type="Width" ><ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width" /></Dim>
                 <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:VertScrollUpNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:VertScrollUpHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:VertScrollUpNormal" />
+            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
+            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollUpHover" />
+            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_decbtn__">
+        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_decbtn__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
                 <Dim type="TopEdge" ><UnifiedDim scale="0.5" type="TopEdge" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Width" /></Dim>
+                <Dim type="Width" ><ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width" /></Dim>
                 <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:VertScrollDownNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:VertScrollDownHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:VertScrollDownNormal" />
+            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
+            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollDownHover" />
+            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
         </Child>
         <StateImagery name="Enabled" />
@@ -2228,9 +2228,9 @@
     <!--
     ***************************************************
-        TaharezLook/StaticShared
+        TaharezGreenLook/StaticShared
         (Shared imagery components for static widgets)
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/StaticShared">
+    <WidgetLook name="TaharezGreenLook/StaticShared">
         <ImagerySection name="frame">
             <FrameComponent>
@@ -2241,12 +2241,12 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="StaticTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="StaticTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="StaticBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="StaticBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="StaticLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="StaticRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="StaticTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="StaticBottom" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="StaticTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="StaticTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="StaticBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="StaticBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="StaticLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="StaticRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="StaticTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="StaticBottom" />
                 <ColourRectProperty name="FrameColours" />
             </FrameComponent>
@@ -2255,10 +2255,10 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="StaticLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="StaticTop" dimension="Height" /></Dim>
+                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="StaticLeft" dimension="Width" /></Dim>
+                    <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="StaticTop" dimension="Height" /></Dim>
                     <Dim type="RightEdge" >
                         <UnifiedDim scale="1" type="RightEdge">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="StaticRight" dimension="Width" />
+                                <ImageDim imageset="TaharezGreenLook" image="StaticRight" dimension="Width" />
                             </DimOperator>
                         </UnifiedDim>
@@ -2267,10 +2267,10 @@
                         <UnifiedDim scale="1" type="BottomEdge">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="StaticBottom" dimension="Height" />
+                                <ImageDim imageset="TaharezGreenLook" image="StaticBottom" dimension="Height" />
                             </DimOperator>
                         </UnifiedDim>
                     </Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="StaticBackdrop" />
+                <Image imageset="TaharezGreenLook" image="StaticBackdrop" />
                 <!--<ColourRectProperty name="BackgroundColours" />-->
                 <Colours topLeft="FFFFFFFF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFFFFFFF" />
@@ -2287,5 +2287,5 @@
                     <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="StaticBackdrop" />
+                <Image imageset="TaharezGreenLook" image="StaticBackdrop" />
                 <!--<ColourRectProperty name="BackgroundColours" />-->
                 <Colours topLeft="FFFFFFFF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFFFFFFF" />
@@ -2298,8 +2298,8 @@
     <!--
     ***************************************************
-        TaharezLook/StaticImage
+        TaharezGreenLook/StaticImage
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/StaticImage">
+    <WidgetLook name="TaharezGreenLook/StaticImage">
 		<PropertyDefinition name="ImageColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
 		<PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
@@ -2312,10 +2312,10 @@
             <ImageryComponent>
                 <Area>
-					<Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="StaticLeft" dimension="Width" /></Dim>
-					<Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="StaticTop" dimension="Height" /></Dim>
+					<Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="StaticLeft" dimension="Width" /></Dim>
+					<Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="StaticTop" dimension="Height" /></Dim>
 					<Dim type="RightEdge" >
 						<UnifiedDim scale="1" type="RightEdge">
 							<DimOperator op="Subtract">
-								<ImageDim imageset="TaharezLook" image="StaticRight" dimension="Width" />
+								<ImageDim imageset="TaharezGreenLook" image="StaticRight" dimension="Width" />
 							</DimOperator>
 						</UnifiedDim>
@@ -2324,5 +2324,5 @@
 						<UnifiedDim scale="1" type="BottomEdge">
 							<DimOperator op="Subtract">
-								<ImageDim imageset="TaharezLook" image="StaticBottom" dimension="Height" />
+								<ImageDim imageset="TaharezGreenLook" image="StaticBottom" dimension="Height" />
 							</DimOperator>
 						</UnifiedDim>
